Page MenuHomePhabricator

extensions/Thanks - file permissions trigger debian lintian warnings
Closed, ResolvedPublic

Description

0) Context

DEB packages of mediawiki and many of its extensions, are prepared as part of the WP-MIRROR project.
See https://www.mediawiki.org/wiki/Wp-mirror.

  1. Lintian

During the build process, lintian performs a great number of sanity checks, including seeing if each file has file permissions appropriate to its file type.

When lintian sees a shell script with 644 permissions, rather than 755, lintian will throw a warning like:

W: wp-mirror-mediawiki: script-not-executable usr/share/wp-mirror-mediawiki/extensions/Thanks/scripts/pre-commit

  1. Files which should have permissions set to 755

extensions/Thanks/scripts/pre-commit

  1. Technical details

DEB standards version: 3.9.6
GIT branch: master

Details

Related Gerrit Patches:
mediawiki/extensions/Thanks : masterPermission file problem.

Event Timeline

wpmirrordev assigned this task to kaldari.
wpmirrordev raised the priority of this task from to Normal.
wpmirrordev updated the task description. (Show Details)
wpmirrordev added a subscriber: wpmirrordev.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptSep 7 2015, 11:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
wpmirrordev renamed this task from extension/Thanks - file permissions trigger debian lintian warnings to extensions/Thanks - file permissions trigger debian lintian warnings.Sep 7 2015, 11:22 PM
wpmirrordev set Security to None.

Hey, this seems to be a kind of simple bug i guess. I will like to work on this bug and will like to know a step to move ahead. Any help will be appreciated. Is the bug still open to be worked on?

Ohhh, i did not even check. It has been assigned already. :)

It has been assigned already. :)

@D3r1ck01: @wpmirrordev assigned this to @kaldari but I am sure that you could still this task from him! Looking forward to your patch in Wikimedia Gerrit!

@D3r1ck01: Go for it! Looks like it's just a permissions change, so should be pretty straightforward :)

kaldari reassigned this task from kaldari to D3r1ck01.Sep 21 2015, 7:54 PM

Change 240071 had a related patch set uploaded (by D3r1ck01):
Permission file problem.

https://gerrit.wikimedia.org/r/240071

Change 240071 merged by jenkins-bot:
Permission file problem.

https://gerrit.wikimedia.org/r/240071

JanZerebecki closed this task as Resolved.Sep 22 2015, 11:59 AM
JanZerebecki added a subscriber: JanZerebecki.

I confirm that the above mentioned debian lintian warning is cured.
Thanks.

D3r1ck01 added a comment.EditedSep 22 2015, 1:49 PM

I am happy to hear that. I am glad i fixed the bug that cured the probblem and willing to fix more bugs. :)